Editing with new symbology gives bad results
Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13744

Description

This problem affects QGIS 1.6 & 1.7 with "On the fly" activated.

Editing a point vector with new symbology activated, if a point is dragged from one place to another, this point disappear when dropped.

Save the modifications and reopen  shapefile, the modified point is placed in a wrong place.

History

#1 - 2011-04-03 12:49 AM - Martin Dobias

I cannot replicate the issue. Are you really sure it is a problem with new symbology (i.e. does it work correctly with old symbology?)

Please try to provide exact steps how to reproduce the problem, ideally with a small dataset.

#2 - 2011-04-04 12:21 AM - LionelR -

Oups I'm confused, it's not with the new symbology but with the new labeling engine :/

Steps :

1- activate "on the fly" reprojection

2- open a point layer and show label via the new labeling engine

3- Edit the layer by draging/droping a point

#3 - 2011-04-04 03:54 AM - Marco Hugentobler

Maybe this is a problem of the 'move label' tool

#4 - 2011-04-11 01:02 PM - Marco Hugentobler

- Status changed from Open to Closed

- Resolution set to fixed

Should be fixed with commit:54f33219 (SVN r15693). Please test and repoen if not.

#5 - 2011-04-12 02:35 AM - LionelR -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)
Not fixed with commit:919ae745 (SVN r15694), new labeling activated + on the fly projection give wrong editing results when moving points.

#6 - 2011-04-12 08:19 AM - Marco Hugentobler

Ah, you mean moving the point geometry (with the edit tool), not moving the label position. I fixed the move of the label position.

#7 - 2011-04-13 12:22 AM - Marco Hugentobler

- Status changed from Feedback to Closed

- Resolution set to fixed

commit:b6299661 (SVN r15697) should fix the editing issue too.

#8 - 2011-04-13 12:56 AM - LionelR -

Yes it's good. Great job!
